Need Stencyl build 7514 to download

kadir123

  • Posts: 66
Hi, There does anyone there have  stencyl build 7514 version??
I need to download the  stencyl build 7514 to use my revmob ads.
If you have a link or file, please let me know. I want to download it.
Thank you so much.

Donni11

  • *
  • Posts: 2182
What type of version is 7514 , 3.1 or 3.2 ?
Peace

kadir123

  • Posts: 66
I guest 3.2 because I don't download it.

captaincomic

  • *
  • Posts: 6109
7514 would be a private build between 3.1 and 3.2. What do you need it for? It's probably easier to figure out what the problem is in 3.2 than to search for the old build.

kadir123

  • Posts: 66
My game run well in the first on Stencyl 3.2 build 7994.  After I use Revmob ext.  for CPM, the game couldn't build..I am sure it is because of revmov..Any suggestion.

Thank You

Nb. Attached is the log

captaincomic

  • *
  • Posts: 6109
Yes, it's caused by revmob. Maybe the extension is outdated and needs to be updated for 3.2.
Code: [Select]
2015-01-08 17:59:58,899 INFO  [Thread-9] stencyl.sw.util.StreamGobbler:      [echo] Resolving Dependencies for perfecttest9...
2015-01-08 17:59:58,918 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] Library dependencies:
2015-01-08 17:59:58,921 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency]
2015-01-08 17:59:58,924 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] ------------------
2015-01-08 17:59:58,927 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] Ordered libraries:
2015-01-08 18:00:01,233 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] Found 2 versions of google-play-services.jar in the dependency list,
2015-01-08 18:00:01,238 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] but not all the versions are identical (check is based on SHA-1 only at this time).
2015-01-08 18:00:01,246 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] All versions of the libraries must be the same at this time.
2015-01-08 18:00:01,251 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] Versions found are:
2015-01-08 18:00:01,257 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] Path: C:\Users\kadir\AppData\Roaming\Stencyl\stencylworks\games-generated\perfecttest9\Export\android\bin\deps\myadmob\libs\google-play-services.jar
2015-01-08 18:00:01,262 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] Length: 3406972
2015-01-08 18:00:01,267 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] SHA-1: 0f700f6802ba1a1f1fa7ac26d5db0666a89d75a6
2015-01-08 18:00:01,305 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] Path: C:\Users\kadir\AppData\Roaming\Stencyl\stencylworks\games-generated\perfecttest9\Export\android\bin\deps\myrevmob\libs\google-play-services.jar
2015-01-08 18:00:01,310 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] Length: 1881748
2015-01-08 18:00:01,317 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: [dependency] SHA-1: 7676c0cb230efa6ac41c47867d372ed5913029d4
2015-01-08 18:00:01,470 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: BUILD FAILED
2015-01-08 18:00:01,475 INFO  [Thread-9] stencyl.sw.util.StreamGobbler: C:\Users\kadir\AppData\Roaming\Stencyl\stencylworks\android-sdk\android-sdk-windows\tools\ant\build.xml:574: Jar mismatch! Fix your dependencies
It's the same problem you have reported here:
http://community.stencyl.com/index.php/topic,37982.0.html

You can try the following:
Copy
<your Stencyl install dir>/plaf/haxe/extensions/ads/dependencies/myadmob/libs/google-play-services.jar
and overwrite
<your workspace>/extensions/revmob/dependencies/myrevmob/libs/google-play-services.jar

It's a shot in the dark, no idea if this will work (it will solve the library conflict, but maybe the revmob extension is not compatible with the jar from myadmob).

kadir123

  • Posts: 66
I  fixed it by remove revmob.

thanks guys